BladeSystem Management Software

iLO3 v1.28 driver requirements for Windows

 
chuckk281
Trusted Contributor

iLO3 v1.28 driver requirements for Windows

Hongjun was looking for firmware info on iLO3:

 

*****************

 

I got a customer replying stating the following. Is this true? Where is this documented?

 

For channel interface driver and management controller driver of windows, any docs explain them in more details? Are these only required for Windows? I don’t see anything listed under Linux and Vmware.

 

iLO3 v1.28 also REQUIRES the following Windows drivers on G7 Servers.

So for iLO3 v1.28 upgrades, also these are needed:
HP ProLiant iLO 3/4 Channel Interface Driver for Windows X64, v3.4.0.0
ftp://ftp.hp.com/ftp2/pub/softlib2/software1/sc-windows/p1398020247/v67292/cp014722.exe

HP ProLiant iLO 3/4 Channel Interface Driver for Windows X86, v3.4.0.0
ftp://ftp.hp.com/ftp2/pub/softlib2/software1/sc-windows/p1741131556/v67461/cp014753.exe

HP ProLiant iLO 3/4 Management Controller Driver Package for Windows Server 2008 X64, v3.4.0.0
ftp://ftp.hp.com/ftp2/pub/softlib2/software1/sc-windows/p2122273788/v66427/cp014432.exe

HP ProLiant iLO 3/4 Management Controller Driver Package for Windows Server 2008 X86, v3.4.0.0
ftp://ftp.hp.com/ftp2/pub/softlib2/software1/sc-windows/p468919737/v66428/cp014433.exe

 

*****************

 

Reply from Stefan:

 

*************

 

I don’t believe that is true. If there was a dependency on Windows drivers, it would be mentioned under install instructions in the download section.

You can use iLO even without an OS on the server, so I don’t see the problem.

 

In the past we had some dependencies when for example upgrading older iLO2 versions when running Windows. That required that you upgraded the Management Controller Driver first.

But I never heard anything similar for iLO3.

 

************

 

Other comments or suggestions?